Jump to content

[Shard] Connection to master failed. Waiting to reconnect


Recommended Posts

Creating dedicated server with below files and I get message on console while start to lunch server:

Quote

[Shard] Connecting to master...
[Shard] Connection to master failed. Waiting to reconnect...
[00:00:33]: About to start a shard with these settings:
[00:00:33]:   ShardName: Caves
[00:00:33]:   ShardID: 2943007514
[00:00:33]:   ShardRole: SLAVE
[00:00:33]:   MasterHost: 127.0.0.1
[00:00:33]:   MasterBind: (null)
[00:00:33]:   MasterPort: 11001
[Shard] Connecting to master...
[Shard] Connection to master failed. Waiting to reconnect...

i do not know how ti fix it. Can you please help?

cluster.ini

worldgenoverride.lua

server.ini

cluster.ini

worldgenoverride.lua

server.ini

Link to comment
Share on other sites

Just make two seperate startup scripts with the individual startup lines, as you probably use one script with both startup commands in it. If you have the default double one from these forums, the seperate ones would be.

Master:

Spoiler

#!/bin/bash

cd $HOME/dontstarvetogether_dedicated_server/bin
./dontstarve_dedicated_server_nullrenderer -console -cluster MyDediServer -shard Master

 

Caves:

Spoiler

#!/bin/bash

cd $HOME/dontstarvetogether_dedicated_server/bin
./dontstarve_dedicated_server_nullrenderer -console -cluster MyDediServer -shard Caves

Keep in mind these two scripts are very simplified and only work when the Server is properly set up and up to date.

Otherwise you can modify the full script like this for the Master, and start the Caves shard with the code up top:

Spoiler

#!/bin/bash

steamcmd_dir="$HOME/steamcmd"
install_dir="$HOME/dontstarvetogether_dedicated_server"
cluster_name="MyDediServer"
dontstarve_dir="$HOME/.klei/DoNotStarveTogether"

function fail()
{
        echo Error: "$@" >&2
        exit 1
}

function check_for_file()
{
    if [ ! -e "$1" ]; then
            fail "Missing file: $1"
    fi
}

cd "$steamcmd_dir" || fail "Missing $steamcmd_dir directory!"

check_for_file "steamcmd.sh"
check_for_file "$dontstarve_dir/$cluster_name/cluster.ini"
check_for_file "$dontstarve_dir/$cluster_name/cluster_token.txt"
check_for_file "$dontstarve_dir/$cluster_name/Master/server.ini"
check_for_file "$dontstarve_dir/$cluster_name/Caves/server.ini"

./steamcmd.sh +force_install_dir "$install_dir" +login anonymous +app_update 343050 validate +quit

check_for_file "$install_dir/bin"

cd "$install_dir/bin" || fail 

run_shared=(./dontstarve_dedicated_server_nullrenderer)
run_shared+=(-console)
run_shared+=(-cluster "$cluster_name")
run_shared+=(-monitor_parent_process $$)

"${run_shared[@]}" -shard Master | sed 's/^/Master: /'

 

 

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

Please be aware that the content of this thread may be outdated and no longer applicable.

×
  • Create New...